<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('kunjungans', function (Blueprint $table) {
            $table->id();
            $table->char('nisn', 10);
            $table->foreign('nisn')->references('nisn')->on('siswas');

            $table->date('tanggal');
            $table->enum('keterangan', ['Meminjam', 'Diskusi', 'Belajar', 'Berkunjung', 'Lainnya']);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('kunjungans');
    }
};
