<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('koleksis', function (Blueprint $table) {
            $table->id();

            $table->string('kode');
            $table->string('jenis');
            $table->string('judul');
            $table->integer('jumlah_buku');
            $table->integer('tersedia');
            $table->string('penerbit');
            $table->char('tahun_terbit',4);
            $table->string('pengarang');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('koleksis');
    }
};
