<x-layouts.pustakawan>

    <x-slot:title>Tambah Kumpulan Koleksi</x-slot:title>

    <x-slot:head>
    </x-slot:head>

    <x-header breadcrumbs='Koleksi//Tambah Kumpulan Koleksi' title='Tambah Kumpulan Koleksi'></x-header>
    <div class="flex flex-col  h-screen">

        <p>Halaman ini digunakan untuk menambahkan kumpulan koleksi</p>

        <!-- Card 1 -->
        <div class="justify-start mb-2 mt-2 p-2 bg-[#EAF6F9] rounded shadow-md max-w-md">
            <div class="px-6 py-4">
                <div class="font-bold text-xl mb-2">Langkah 1</div>
                <p class="text-gray-700 text-base">
                    Download template excel di bawah ini
                </p>
                <a href="{{ asset('storage/koleksi_template.xlsx') }}" class="text-blue-500 hover:underline">
                    Download
                </a>
            </div>
        </div>

        <!-- Card 2 -->
        <div class="justify-start mb-2 mt-2 p-2 bg-[#EAF6F9] rounded shadow-md max-w-md">
            <div class="px-6 py-4">
                <div class="font-bold text-xl mb-2">Langkah 2</div>
                <p class="text-gray-700 text-base">
                    Unggah file yang telah berisi data koleksi <br>
                    Pastikan kode sudah benar <br>
                    Apabila buku sudah ada, maka akan diperbarui jumlahnya sesuai <strong>kode</strong>
                </p>
                <form action="{{ route('koleksi.import') }}" method="post" enctype="multipart/form-data" class='my-2 ml-2 flex'>
                    @csrf
                    <input type="file" name="file" accept=".xlsx, .xls" class="mr-2">
                    <x-button.primary class="text-sm" type="submit">
                        Tambah
                    </x-button.primary>
                </form>
            </div>
        </div>
    </div>
</x-layouts.pustakawan>
