<x-layouts.pustakawan>


<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    @vite('resources/css/app.css')
    <title>Koleksi</title>
    <link rel="icon" href="{{ asset('img/logo_167.png') }}" type="image/x-icon">
</head>

<x-slot:title>Tambah Koleksi</x-slot:title>

<x-slot:head>
</x-slot:head>

<x-header breadcrumbs='Koleksi//Tambah Koleksi' title='Tambah Koleksi'></x-header>

<x-form-box>
    <form method="post" action="{{ route('koleksi.store') }}">
        @csrf
        @method('post')

        <div class="lg:flex justify-evenly pb-10">

            <div class="w-full">
                <div class="m-4">
                    <span class="font-semibold block text-[#0087C1]">Kode</span>
                    <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                        <input type="text" name="kode" class="w-full bg-transparent border-none outline-none"
                                placeholder="Kode tidak boleh kosong">
                    </div>
                </div>

                <div class="m-4">
                    <span class="font-semibold block text-[#0087C1]">Jenis</span>
                    <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                        <input type="text" name="jenis" class="w-full bg-transparent border-none outline-none"
                                placeholder="Jenis tidak boleh kosong">
                    </div>
                </div>

                <div class="m-4">
                    <span class="font-semibold block text-[#0087C1]">Judul</span>
                    <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                        <input type="text" name="judul" class="w-full bg-transparent border-none outline-none"
                                placeholder="Judul tidak boleh kosong">
                    </div>
                </div>

                <div class="m-4">
                    <span class="font-semibold block text-[#0087C1]">Jumlah Buku</span>
                    <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                        <input type="number" name="jumlah_buku" class="w-full bg-transparent border-none outline-none"
                                placeholder="Jumlah buku tidak boleh kosong">
                    </div>
                </div>
            </div>

            <div class="w-full">
                <div class="m-4">
                    <span class="font-semibold block text-[#0087C1]">Penerbit</span>
                    <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                        <input type="text" name="penerbit" class="w-full bg-transparent border-none outline-none"
                                placeholder="Penerbit tidak boleh kosong">
                    </div>
                </div>

                <div class="m-4">
                    <span class="font-semibold block text-[#0087C1]">Tahun Terbit</span>
                    <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                        <input type="number" name="tahun_terbit"
                                class="w-full bg-transparent border-none outline-none"
                                placeholder="Tahun terbit tidak boleh kosong">
                    </div>
                </div>

                <div class="m-4">
                    <span class="font-semibold block text-[#0087C1]">Pengarang</span>
                    <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                        <input type="text" name="pengarang" class="w-full bg-transparent border-none outline-none"
                                placeholder="Pengarang tidak boleh kosong">
                    </div>
                </div>
            </div>

        </div>

        <div class="flex justify-end">
            <a class="bg-red-500 hover:bg-blue-700 text-white font-bold py-2 px-4 mx-5 my-2 rounded-lg"
                href="{{ route('pustakawan.koleksi.index') }}">Batal</a>
            <button type="submit"
                    class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 mx-2 my-2 rounded-lg">Tambah
            </button>
        </form>
</x-form-box>

</x-layouts.pustakawan>
