<x-layouts.siswa>

    <x-slot:title>Riwayat Kunjungan</x-slot:title>

    <x-slot:head>
        <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
        <script src="https://cdn.jsdelivr.net/npm/jquery@3.7.1/dist/jquery.min.js"></script>
    </x-slot:head>

    <x-header breadcrumbs='Kunjungan' title='Riwayat Kunjungan'></x-header>

    <x-table.table :idTable="'tabel-kunjungan'" :headers="['Nomor', 'Nama', 'Kelas', 'Tanggal', 'Keterangan']">
        @foreach ($kunjungan as $index => $item)
            <tr>
                <x-table.td :align="'center'">
                    {{ $loop->index + ($kunjungan->currentPage() - 1) * $kunjungan->perPage() + 1 }}
                </x-table.td>
                <x-table.td :align="'center'">
                    {{ $item->siswa->nama }}
                </x-table.td>
                <x-table.td :align="'center'">
                    {{ $item->siswa->tingkat . $item->siswa->kelas }}
                </x-table.td>
                <x-table.td :align="'center'">
                    {{ $item->tanggal }}
                </x-table.td>
                <x-table.td :align="'center'">
                    {{ $item->keterangan }}
                </x-table.td>
            </tr>
        @endforeach

    </x-table.table>

    <div class="row justify-content-center">
        {{ $kunjungan->links() }}
    </div>

    <script>
        $(document).on('click', '.pagination a', function(e) {
            e.preventDefault();
            var page = $(this).attr('href').split('page=')[1];
            loadPage(page);
        });
    </script>
</x-layouts.siswa>
