<x-layouts.pustakawan>

    <x-slot:title>Laporan Peminjaman</x-slot:title>

    <x-slot:head>
    </x-slot:head>

    <x-header breadcrumbs='Laporan//Laporan Peminjaman' title='Laporan Peminjaman'></x-header>

    <h3 class="text-base"> Periode Laporan</h3>

    <form id="dateForm" action="{{ route('laporan.peminjaman.lihat') }}" method="GET">
        <!-- ... your existing HTML ... -->

        <div class="flex relative sm:mt-0 pb-5">
            <div class="w-42">
                <div class="w-64">
                    <div class="m-2">
                        <span class="text-base">Awal</span>
                        <div class="my-4 bg-[#FFFFF] px-3 py-2 border-[#0087C1] border font-bold rounded-md">
                            <input type="date" name="start_date"
                                   class="w-full bg-transparent border-none outline-none">
                        </div>
                    </div>
                </div>
            </div>

            <div class="w-42">
                <div class="w-10">
                    <div class="m-2">
                        <span class="text-2xl font-bold text-white">></span>
                        <span class="text-2xl font-bold text-[#0087C1] mb-10">>></span>
                    </div>
                </div>
            </div>

            <div class="w-42">
                <div class="w-64">
                    <div class="m-2">
                        <span class="text-base">Akhir</span>
                        <div
                                class="my-4 bg-[#FFFFFF] w-full px-3 py-2 border-[#0087C1] border font-bold rounded-md">
                            <input type="date" name="end_date"
                                   class="w-full bg-transparent border-none outline-none">
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="flex space-x-2">

            <!-- Add other buttons or options as needed -->
            <a href="#" id="lihat"
               class="bg-white hover:bg-[#EAF6F9] text-[#0087C1] border-[#0087C1] border font-bold py-2 px-4 rounded-lg items-center">
                <ion-icon name="eye" class="mr-2"></ion-icon>
                Lihat
            </a>
        </div>
    </form>

    <script>
        // JavaScript to handle the Unduh link click
        document.getElementById('lihat').addEventListener('click', function (event) {
            event.preventDefault(); // Prevent the default link behavior

            // Get the form data
            var formData = new FormData(document.getElementById('dateForm'));

            // Construct the URL with the form data
            var url = new URL('{{ url('laporan/peminjaman/lihat') }}');
            url.search = new URLSearchParams(formData).toString();

            // Navigate to the constructed URL
            window.open(url.toString(), '_blank');
        });
    </script>

    </x-layouts.pustakawan>
