<x-layouts.pustakawan>

    <x-slot:title>Perpanjang Peminjaman</x-slot:title>
{{-- <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    @vite('resources/css/app.css')
    <title>Perpanjang Peminjaman</title>
    <link rel="icon" href="{{ asset('img/logo_167.png') }}" type="image/x-icon"> --}}

<x-slot:head>
</x-slot:head>

<x-header breadcrumbs='Peminjaman//{{ $peminjaman->id }}//Perpanjang Peminjaman' title='Perpanjang Peminjaman Buku'></x-header>

<x-form-box>
    <form id="perpanjanganForm" method="post"
            action="{{ route('peminjaman.extend', ['peminjaman' => $peminjaman]) }}">
        @csrf
        @method('put')
        <h2 class="text-lg font-bold text-[#0087C1]">Peminjam</h2>
        <input class="bg-[#FCFBFF] rounded-lg mb-4 py-1 px-10" name="nisn" value="{{ $peminjaman->siswa->nama }}" disabled>
        <h2 class="text-lg font-bold text-[#0087C1]">Buku Dipinjam</h2>
        <input class="bg-[#FCFBFF] rounded-lg mb-4 py-1 px-10" name="koleksi_id" value="{{ $peminjaman->koleksi->judul }}" disabled>
        <h2 class="text-lg font-bold text-[#0087C1]">Batas Pengembalian Saat Ini</h2>
        <input class="bg-[#FCFBFF] rounded-lg mb-4 py-1 px-10" type="date" name="batas_pengembalian" value="{{ $peminjaman->batas_pengembalian }}" disabled>
        <h2 class="text-lg font-bold text-[#0087C1]">Penambahan Hari</h2>
        <input class="bg-[#FCFBFF] rounded-lg mb-4 py-1 px-10" type="number" min="0" name="tambahan"
                id="tambahan" placeholder="Jumlah Hari" value="0">

        <div class="flex justify-between mb-4 py-8 px-10">
            <button class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded-lg"
                    type="submit">Tambah
            </button>
            <a class="bg-red-500 hover:bg-red-700 text-white font-bold py-2 px-4 rounded-lg"
                href="{{ route('pustakawan.peminjaman.index') }}">Batal</a>
        </div>
    </form>
</x-form-box>

</x-layouts.pustakawan>
