<x-layouts.siswa>
    <x-slot:title>Akun Siswa</x-slot:title>
    <x-slot:head>

    </x-slot:head>
    <x-header breadcrumbs="Akun Siswa" title="Akun Siswa"></x-header>

    <x-form-box>
        <p class="mb-4">Siswa dengan username <strong>{{ Auth::user()->username }}</strong></p>
        <p class="mb-4">Siswa dengan nama <strong>{{ Auth::user()->siswa->nama }}</strong></p>

        <form method="POST" action="{{ route('change.password') }}" class="space-y-4">
            @csrf

            <!-- Old Password -->
            <div>
                <label for="old_password" class="block mb-1">Kata Sandi Lama</label>
                <input type="password" name="old_password" required class="w-full p-2 border rounded">
            </div>

            <!-- New Password -->
            <div>
                <label for="new_password" class="block mb-1">Kata Sandi Baru</label>
                <input type="password" name="new_password" required class="w-full p-2 border rounded">
            </div>

            <!-- Confirm Password -->
            <div>
                <label for="new_password_confirmation" class="block mb-1">Konfirmasi Kata Sandi Baru</label>
                <input type="password" name="new_password_confirmation" required class="w-full p-2 border rounded">
            </div>

            <div class="flex items-center justify-end">
                <x-button.primary type="submit">
                    Ganti Kata Sandi
                </x-button.primary>
            </div>
        </form>
    </x-form-box>
</x-layouts.siswa>
