<?php if (isset($component)) { $__componentOriginal71c6471fa76ce19017edc287b6f4508c = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.layouts.pustakawan','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('layouts.pustakawan'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>

 <?php $__env->slot('title', null, []); ?> Tambah Data Kunjungan <?php $__env->endSlot(); ?>

 <?php $__env->slot('head', null, []); ?> 
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet"/>
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
    <script>
        // Initialize Select2 for the NISN input field
        $(document).ready(function () {
            $('#nisn').select2({
                ajax: {
                    url: '<?php echo e(route('kunjungan.get')); ?>', // Replace with your API endpoint URL
                    type: 'GET',
                    dataType: 'json',
                    delay: 250,
                    data: function (params) {
                        return {
                            searchItem: params.term,
                            page: params.page
                        };
                    },
                    processResults: function (json, params) {
                        params.page = params.page || 1;

                        var results = [];
                        $.each(json.data, function (index, item) {
                            results.push({
                                id: item.nisn, // Use nisn as the id
                                text: item.nama, // Customize the display as needed
                            });
                        });

                        return {
                            results: results,
                            pagination: {
                                more: (params.page * 30) < json.total // Adjust based on your data structure
                            }
                        };
                    },
                    cache: true
                },
                placeholder: 'Search NISN',
                templateResult: function (data) {
                    if (data.loading) {
                        return data.text;
                    }
                    return data.text; // Customize the display as needed
                },
                templateSelection: function (data) {
                    // Display the selected item differently
                    return data.text;
                }
            });
        });
    </script>
 <?php $__env->endSlot(); ?>

<?php if (isset($component)) { $__componentOriginal71c6471fa76ce19017edc287b6f4508c = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.header','data' => ['breadcrumbs' => 'Kunjungan//Tambah Data Kunjungan','title' => 'Tambah Data Kunjungan']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('header'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['breadcrumbs' => 'Kunjungan//Tambah Data Kunjungan','title' => 'Tambah Data Kunjungan']); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal71c6471fa76ce19017edc287b6f4508c)): ?>
<?php $component = $__componentOriginal71c6471fa76ce19017edc287b6f4508c; ?>
<?php unset($__componentOriginal71c6471fa76ce19017edc287b6f4508c); ?>
<?php endif; ?>

<?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <li><?php echo e($error); ?></li>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

<?php if (isset($component)) { $__componentOriginal71c6471fa76ce19017edc287b6f4508c = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.form-box','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('form-box'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <form method="post" action="<?php echo e(route('kunjungan.store')); ?>">
        <?php echo csrf_field(); ?>
        <?php echo method_field('post'); ?>
        <div>
            <h2 class="text-lg font-bold text-[#0087C1]">NIS - Nama</h2>
        </div>
        <select id="nisn" name="nisn" class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
            <!-- Placeholder for Select2 -->
        </select>
        <div>
            <h2 class="text-lg font-bold text-[#0087C1]">Tanggal Kunjungan</h2>
        </div>

        <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
            <input type="date" name="tanggal" class="w-full bg-transparent border-none outline-none">
        </div>
        <div>
            <h2 class="text-lg font-bold text-[#0087C1]">Keterangan</h2>
        </div>

        <?php $__currentLoopData = ['Meminjam', 'Diskusi', 'Belajar', 'Berkunjung', 'Lainnya']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <input type="radio" class="bg-[#FBFAFF] px-3 py-2 rounded-md" name="keterangan"
                    value="<?php echo e($option); ?>"
                    <?php echo e(old('keterangan') == $option ? 'checked' : ''); ?>>
            <?php echo e($option); ?>

            <br>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

        <div class="flex justify-end">
            <a href="<?php echo e(route('pustakawan.kunjungan.index')); ?>"
                class="bg-red-500 hover:bg-red-700 text-white font-bold py-2 px-4 mx-5 my-2 rounded-lg">Batal</a>
            <div>
                <input type="submit"
                        class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 mx-2 my-2 rounded-lg"
                        value="Tambah">
            </div>
        </div>
    </form>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal71c6471fa76ce19017edc287b6f4508c)): ?>
<?php $component = $__componentOriginal71c6471fa76ce19017edc287b6f4508c; ?>
<?php unset($__componentOriginal71c6471fa76ce19017edc287b6f4508c); ?>
<?php endif; ?>

 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal71c6471fa76ce19017edc287b6f4508c)): ?>
<?php $component = $__componentOriginal71c6471fa76ce19017edc287b6f4508c; ?>
<?php unset($__componentOriginal71c6471fa76ce19017edc287b6f4508c); ?>
<?php endif; ?>
<?php /**PATH D:\Academic\Projects Dalam\RPL\perpustakaan-167\perpustakaan-167\resources\views/kunjungan/tambah.blade.php ENDPATH**/ ?>