<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Beranda</title>
  <?php echo app('Illuminate\Foundation\Vite')('resources/css/style.css'); ?>
</head>
<body>
<div class = "fixed">
  <div class ="sidebar">
    <ul>
      <li class="logo">
        <a href="/dashboard">
          <span class="icon"><img src="<?php echo e(asset('images/logo_167.png')); ?>" alt="Example Image" style="width: 100px;"></span>
        </a>
      </li>
      <li>
        <a href='<?php echo e(route('pustakawan.dashboard')); ?>'>
          <span class="icon"><ion-icon name="home"></ion-icon></span>
          <span class="text">Beranda</span>
        </a>
      </li>
      <li>
        <a href='<?php echo e(route('pustakawan.koleksi.index')); ?>'>
          <span class="icon"><ion-icon name="library"></ion-icon></span>
          <span class="text">Koleksi</span>
        </a>
      </li>
      <li>
        <a href='<?php echo e(route('pustakawan.peminjaman.index')); ?>'>
          <span class="icon"><ion-icon name="book"></ion-icon></span>
          <span class="text">Peminjaman</span>
        </a>
      </li>
      <li>
        <a href='<?php echo e(route('pustakawan.kunjungan.index')); ?>'>
          <span class="icon"><ion-icon name="walk"></ion-icon></span>
          <span class="text">Kunjungan</span>
        </a>
      </li>
      <li>
        <a href='<?php echo e(route('pustakawan.siswa.index')); ?>'>
          <span class="icon"><ion-icon name="people"></ion-icon></span>
          <span class="text">Akun Siswa</span>
        </a>
      </li>
      <li>
        <a href='<?php echo e(route('pustakawan.laporan.index')); ?>'>
          <span class="icon"><ion-icon name="reader"></ion-icon></span>
          <span class="text">Laporan</span>
        </a>
      </li>
      <div class="bottom">
        <li>
            <a href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                <span class="icon"><ion-icon name="log-out"></ion-icon></span>
                <span class="text">Keluar</span>
            </a>

            <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
                <?php echo csrf_field(); ?>
            </form>
        </li>
      </div>
    </ul>
  </div>
  <script type="module" src="https://unpkg.com/ionicons@7.1.0/dist/ionicons/ionicons.esm.js"></script>
  <script nomodule src="https://unpkg.com/ionicons@7.1.0/dist/ionicons/ionicons.js"></script>
  </div>
</body>
</html>
<?php /**PATH D:\Academic\Projects Dalam\RPL\perpustakaan-167\perpustakaan-167\resources\views/pustakawan/sidebar.blade.php ENDPATH**/ ?>