<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Koleksi extends Model
{
    use HasFactory;

    protected $fillable = [
        'kode',
        'jenis',
        'judul',
        'jumlah_buku',
        'tersedia',
        'penerbit',
        'tahun_terbit',
        'pengarang',
    ];

    public $timestamps = false;

    public function peminjaman(): HasMany
    {
        return $this->hasMany(Peminjaman::class);
    }
}
