var currentPath = window.location.pathname;
var sidebarItems = document.querySelectorAll('.sidebar-item');

sidebarItems.forEach(function (item) {
    var itemPath = new URL(item.querySelector('a').getAttribute('href')).pathname;

    if (itemPath === '/logout') return

    if (itemPath.split('/')[2] && currentPath.startsWith(itemPath)) {
        item.classList.add('active');
    } else if (!itemPath.split('/')[2] && !location.pathname.split('/')[2]) {
        item.classList.add('active');
    }
});

document.querySelector('.sidebar button').addEventListener('click', () => {
    document.querySelector('.sidebar ul').classList.toggle('hidden')
})
