@php
    $sharedClasses = 'px-4 py-2 h-10 rounded-md focus:outline-none text-white bg-blue-500 hover:bg-blue-600 focus:bg-blue-700';
@endphp

@if (isset($attributes['href']))
    <a {{ $attributes->class([$sharedClasses]) }}>
        {{ $slot }}
    </a>
@else
    <button {{ $attributes->class([$sharedClasses]) }}>
        {{ $slot }}
    </button>
@endif