@props(['idTable'])

<div class="-mx-4 sm:-mx-8 px-4 sm:px-8 py-4 overflow-x-auto">
    <div class="inline-block min-w-full rounded-lg overflow-hidden">
            <table id="{{ $idTable }}" class="min-w-full leading-normal">
                <thead>
                <tr>
                    @foreach($headers as $header)
                        <th class="px-5 py-3 border-b-2 border-gray-200 bg-gray-100 text-center text-xs font-semibold text-gray-600 uppercase tracking-wider">{{ $header['name'] }}</th>
                    @endforeach
                </tr>
                </thead>

                <tbody>
                {{ $slot }}
                </tbody>
            </table>
    </div>
</div>
