<x-layouts.pustakawan>

    <x-slot:title>Tambah Koleksi</x-slot:title>
    <x-slot:head>

    </x-slot:head>
{{-- <head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    @vite('resources/css/app.css')
    <title>Tambah Koleksi</title>
    <link rel="icon" href="{{ asset('img/logo_167.png') }}" type="image/x-icon">
</head> --}}

<x-header breadcrumbs='Koleksi//Ubah Koleksi' title='Ubah Koleksi'></x-header>

<x-form-box>
    <form method="post" action="{{ route('koleksi.update', ['koleksi' => $koleksi]) }}">
        @csrf
        @method('put')
        <div class="lg:flex justify-evenly">

            <div class="w-full">
                <div class="m-4">
                    <span class="font-semibold block text-[#0087C1]">Kode</span>
                    <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                        <input type="text" name="kode" class="w-full bg-transparent border-none outline-none"
                                placeholder="" value="{{$koleksi->kode}}">
                    </div>
                </div>

                <div class="m-4">
                    <span class="font-semibold block text-[#0087C1]">Jenis</span>
                    <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                        <input type="text" name="jenis" class="w-full bg-transparent border-none outline-none"
                                placeholder="" value="{{$koleksi->jenis}}">
                    </div>
                </div>

                <div class="m-4">
                    <span class="font-semibold block text-[#0087C1]">Judul</span>
                    <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                        <input type="text" name="judul" class="w-full bg-transparent border-none outline-none"
                                placeholder="" value="{{$koleksi->judul}}">
                    </div>
                </div>

                <div class="m-4">
                    <span class="font-semibold block text-[#0087C1]">Jumlah Buku</span>
                    <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                        <input type="number" name="jumlah_buku" class="w-full bg-transparent border-none outline-none"
                                placeholder="" value="{{$koleksi->jumlah_buku}}">
                    </div>
                </div>
            </div>

            <div class="w-full">
                <div class="m-4">
                    <span class="font-semibold block text-[#0087C1]">Penerbit</span>
                    <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                        <input type="text" name="penerbit" class="w-full bg-transparent border-none outline-none"
                                placeholder="" value="{{$koleksi->penerbit}}">
                    </div>
                </div>

                <div class="m-4">
                    <span class="font-semibold block text-[#0087C1]">Tahun Terbit</span>
                    <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                        <input type="number" name="tahun_terbit"
                                class="w-full bg-transparent border-none outline-none" placeholder=""
                                value="{{$koleksi->tahun_terbit}}">
                    </div>
                </div>

                <div class="m-4">
                    <span class="font-semibold block text-[#0087C1]">Pengarang</span>
                    <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                        <input type="text" name="pengarang" class="w-full bg-transparent border-none outline-none"
                                placeholder="" value="{{$koleksi->pengarang}}">
                    </div>
                </div>
                <div class="flex justify-end">
                    <button type="button">
                        <a class="bg-red-500 hover:bg-red-700 text-white font-bold py-2 px-4 mx-5 my-2 rounded-lg"
                            href="{{ route('pustakawan.koleksi.index') }}">Batal</a>
                    </button>
                    <button type="submit"
                            class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 mx-2 my-2 rounded-lg">Ubah
                    </button>
                </div>
            </div>

        </div>
    </form>
</x-form-box>

</x-layouts.pustakawan>
