<x-layouts.pustakawan>

<x-slot:title>Laporan</x-slot:title>

<x-slot:head>
</x-slot:head>

<x-header breadcrumbs='Laporan' title='Laporan'></x-header>

    <div class="grid grid-cols-1 sm:grid-cols-2 lg:grid-cols-4 gap-4">
        <div class="bg-[#EAF6F9] p-6 rounded-lg shadow-md">
            <div class="flex justify-center">
                <span class="iconlaporan text-5xl w-12 h-12 text-[#0087C1]">
                    <i class="bi bi-people-fill mr-2"></i>
                </span>
            </div>
            <h2 class="text-lg text-[#000000] text-center"> Laporan Akun</h2>
                <h2 class="text-lg text-[#000000] text-center pb-1"> Perpustakaan Siswa</h2>
            <div class="flex justify-center">
                <a href="{{ route('laporan.akun') }}"
                    class="bg-white hover:bg-[#EAF6F9] text-[#0087C1] font-bold py-2 px-2 rounded-lg">
                    <i class="bi bi-three-dots mr-2"></i>
                    Detail
                </a>
            </div>
        </div>
        <div class="bg-[#EAF6F9] p-6 rounded-lg shadow-md">
            <div class="flex justify-center">
                <span class="iconlaporan text-5xl w-12 h-12 text-[#0087C1]">
                    <i class="bi bi-person-walking mr-2"></i>
                </span>
            </div>
            <h2 class="text-lg text-[#000000] text-center"> Laporan Pengunjung</h2>
                <h2 class="text-lg text-[#000000] text-center pb-1"> Perpustakaan </h2>
            <div class="flex justify-center">
                <a href="{{ route('laporan.kunjungan') }}"
                    class="bg-white hover:bg-[#EAF6F9] text-[#0087C1] font-bold py-2 px-2 rounded-lg">
                    <i class="bi bi-three-dots mr-2"></i>
                    Detail
                </a>
            </div>
        </div>
        <div class="bg-[#EAF6F9] p-6 rounded-lg shadow-md">
            <div class="flex justify-center">
                <span class="iconlaporan text-5xl w-12 h-12 text-[#0087C1]">
                    <i class="bi bi-book-fill mr-2"></i>
                </span>
            </div>
            <h2 class="text-lg text-[#000000] text-center"> Laporan Peminjaman</h2>
                <h2 class="text-lg text-[#000000] text-center pb-1"> dan Pengembalian</h2>
            <div class="flex justify-center">
                <a href="{{ route('laporan.peminjaman') }}"
                    class="bg-white hover:bg-[#EAF6F9] text-[#0087C1] font-bold py-2 px-4 rounded-lg">
                    <i class="bi bi-three-dots mr-2"></i>
                    Detail
                </a>
            </div>
        </div>
        <div class=" bg-[#EAF6F9] p-6 rounded-lg shadow-md">
            <div class="flex justify-center">
                <span class="iconlaporan text-5xl w-12 h-12 text-[#0087C1]">
                    <i class="bi bi-journal-text mr-2"></i>
                </span>
            </div>
            <h2 class="text-lg text-[#000000] text-center"> Laporan Koleksi</h2>
                <h2 class="text-lg text-[#000000] text-center pb-1"> Perpustakaan</h2>
            <div class="flex justify-center">
                <a href="{{ route('laporan.koleksi.lihat') }}"
                    class="bg-white hover:bg-[#EAF6F9] text-[#0087C1] font-bold py-2 px-4 rounded-lg">
                    <i class="bi bi-eye mr-2"></i>
                    Lihat
                </a>
            </div>
        </div>
    </div>
</div>

</x-layouts.pustakawan>
