<x-layouts.pustakawan>

    <x-slot:title>Kritik Saran</x-slot:title>

    <x-slot:head>
    </x-slot:head>

    <x-header breadcrumbs='Kritik Saran' title='Kritik Saran'></x-header>

    <div class="flex flex-col h-screen">

        @if($saranList->isEmpty())
            <p>Belum ada saran yang masuk</p>
        @else
            @foreach($saranList as $saran)
                <div class="max-w-sm rounded shadow-lg bg-white my-4">
                    <div class="px-6 py-4">
                        <div class="flex justify-between items-center mb-2">
                            <div class="font-bold text-xl">Saran pada tanggal {{ $saran->created_at->format('d-m-Y') }}</div>
                            <form action="{{ route('saran.destroy', $saran->id) }}" method="POST">
                                @csrf
                                @method('DELETE')
                                <button type="submit" class="text-red-500 hover:text-red-700 focus:outline-none">
                                    <svg class="w-5 h-5" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M6 18L18 6M6 6l12 12"></path>
                                    </svg>
                                </button>
                            </form>
                        </div>
                        <p class="text-gray-700 text-base">
                            {{ $saran->saran }}
                        </p>
                    </div>
                </div>
            @endforeach
        @endif


    </div>


</x-layouts.pustakawan>
