<?php if (isset($component)) { $__componentOriginal71c6471fa76ce19017edc287b6f4508c = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.layouts.no-roles','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('layouts.no-roles'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>

 <?php $__env->slot('head', null, []); ?> 
 <?php $__env->endSlot(); ?>

 <?php $__env->slot('title', null, []); ?> Masuk <?php $__env->endSlot(); ?>

<main class="bg-cover bg-no-repeat bg-fixed overflow-auto min-h-screen flex justify-center items-center" style="background-image: url(<?php echo e(asset('images/background_image.png')); ?>);">
    <form action="<?php echo e(route('login')); ?>" method="post" class="w-96 p-6 shadow-lg bg-white rounded-lg">
        <h1 class="text-3xl block text-center font-heading font-extrabold text-[#0087C1]">Masuk</h1>
        <h3 class="text-md block text-center font-heading font-bold mb-4  text-[#0087C1]">Gunakan Akun Perpustakaan Anda</h3>
        <div class="flex justify-center items-center">
            <img src="<?php echo e(asset('img/logo_167.png')); ?>" class="w-56 h-32 mb-4" alt="logo">
        </div>

        <?php echo csrf_field(); ?>

        <?php if($errors->get('password')): ?>
        <ul <?php echo e($attributes->merge(['class' => 'text-sm text-red-600 space-y-1'])); ?>>
            <?php $__currentLoopData = (array) $errors->get('password'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $message): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li><?php echo e($message); ?></li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </ul>
        <?php endif; ?>

        <?php if($errors->any()): ?>
            <div class="bg-red-500 text-white p-4 rounded-md mb-6">
                <ul class="list-disc list-inside">
                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li><?php echo e($error); ?></li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            </div>
        <?php endif; ?>

        <div class="relative mt-3 flex items-center" id="secemail;">
            <img class="w-[37px] h-[35px] mx-4" src="<?php echo e(asset('img/user.png')); ?>" alt="">
            <?php if (isset($component)) { $__componentOriginal71c6471fa76ce19017edc287b6f4508c = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.text-input','data' => ['id' => 'username','name' => 'username','class' => 'border bg-[#0087C1] h-[40px] w-full text-sm px-2 py-1 focus:outline-none focus:ring-0 rounded-md text-white placeholder:text-gray-300','placeholder' => 'Username','value' => old('username'),'required' => true,'autofocus' => true]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('text-input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['id' => 'username','name' => 'username','class' => 'border bg-[#0087C1] h-[40px] w-full text-sm px-2 py-1 focus:outline-none focus:ring-0 rounded-md text-white placeholder:text-gray-300','placeholder' => 'Username','value' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(old('username')),'required' => true,'autofocus' => true]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal71c6471fa76ce19017edc287b6f4508c)): ?>
<?php $component = $__componentOriginal71c6471fa76ce19017edc287b6f4508c; ?>
<?php unset($__componentOriginal71c6471fa76ce19017edc287b6f4508c); ?>
<?php endif; ?>
            <div class="absolute right-3">
                <i class="fa-sharp fa-solid fa-envelope text-md"></i>
            </div>
        </div>

        <div class="relative mt-3 flex items-center" id="secpass">
            <img class="w-[37px] h-[35px] mx-4" src="<?php echo e(asset('img/pass.png')); ?>" alt="">
            <?php if (isset($component)) { $__componentOriginal71c6471fa76ce19017edc287b6f4508c = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.text-input','data' => ['id' => 'password','name' => 'password','type' => 'password','class' => 'border w-full text-[#FCFBFF] bg-[#0087C1] h-[40px] px-2 py-1 focus:outline-none focus:ring-0 rounded-md font-text1 text-sm placeholder:text-gray-300','placeholder' => 'Password','required' => true]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('text-input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['id' => 'password','name' => 'password','type' => 'password','class' => 'border w-full text-[#FCFBFF] bg-[#0087C1] h-[40px] px-2 py-1 focus:outline-none focus:ring-0 rounded-md font-text1 text-sm placeholder:text-gray-300','placeholder' => 'Password','required' => true]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal71c6471fa76ce19017edc287b6f4508c)): ?>
<?php $component = $__componentOriginal71c6471fa76ce19017edc287b6f4508c; ?>
<?php unset($__componentOriginal71c6471fa76ce19017edc287b6f4508c); ?>
<?php endif; ?>
            <div class="absolute right-3">
                <i class="bi bi-eye-slash-fill text-md" id="eyeicon" onclick="toggle()"></i>
            </div>
        </div>

        <div class="mt-3 flex justify-center items-center">
            <div>
                <input type="checkbox" name="remember" class="text-sm mx-2 font-heading">
                <span class="text-gray-600 text-sm">Ingat Saya</span>
            </div>
        </div>

        <div class="mt-3">
            <button type="submit" class="bg-[#0087C1] text-white py-1 w-full rounded-full font-heading font-semibold transform transition-all hover:scale-105">Masuk</button>
        </div>
    </form>
</main>
<script>
    let state= false;
    function toggle(){
        if(state){
            document.getElementById("password").setAttribute("type","password");
            document.getElementById("eyeicon").setAttribute("class","bi bi-eye-slash-fill");
            state = false;
        } else{
            document.getElementById("password").setAttribute("type","text");
            document.getElementById("eyeicon").setAttribute("class","bi bi-eye-fill");
            state = true;
        }
    }
</script>

 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal71c6471fa76ce19017edc287b6f4508c)): ?>
<?php $component = $__componentOriginal71c6471fa76ce19017edc287b6f4508c; ?>
<?php unset($__componentOriginal71c6471fa76ce19017edc287b6f4508c); ?>
<?php endif; ?>
<?php /**PATH D:\Academic\Projects Dalam\RPL\perpustakaan-167\perpustakaan-167\resources\views/auth/login.blade.php ENDPATH**/ ?>